Documentation Index

Fetch the complete documentation index at: https://docs.processmaker.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns all scripts that the user has access to

Prev Next
Get
/scripts

Get a list of scripts in a process.

Security
OAuth

Laravel passport oauth2 security.

FlowAuthorization Code
Authorization URLhttps://develop-qa.processmaker.net/oauth/authorize
Token URLhttps://develop-qa.processmaker.net/oauth/token
Refresh URLhttps://develop-qa.processmaker.net/token/refresh
Query parameters
filter
string

Filter results by string. Searches Name, Description, and Status. Status must match exactly. Others can be a substring.

order_by
string

Field to order results by

order_direction
string
Valid values[ "asc", "desc" ]
Default"asc"
per_page
integer
Default10
include
string

Include data from related models in payload. Comma separated list.

Default""
Responses
200

list of scripts

Expand All
object
data
Array of object (scripts)
object
title
string

Represents an Eloquent model of a Script

description
string
language
string
code
string
timeout
integer
run_as_user_id
integer
key
string
script_category_id
integer
id
integer (id)
created_at
string (date-time)
updated_at
string (date-time)
meta
object